﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Win_Flex_SumInHeader
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'testDBDataSet.Order_Details' table. You can move, or remove it, as needed.
            this.order_DetailsTableAdapter.Fill(this.testDBDataSet.Order_Details);

            for (int i = 0; i < c1FlexGrid1.Cols.Count; i++)
                c1FlexGrid1.Cols[i].Width = 150;

            c1FlexGrid1.FocusRect = C1.Win.C1FlexGrid.FocusRectEnum.None;
        }

        string total;
        int col_index = -1;
        string col_name = null;
        private void c1FlexGrid1_SelChange(object sender, EventArgs e)
        {
            total = null;

            //Get the respective Column's Caption & Index
            if (col_index == -1)
                col_name = c1FlexGrid1.Cols[c1FlexGrid1.Col].Caption;


            else if (c1FlexGrid1.Col != col_index)
            {
                c1FlexGrid1.Cols[col_index].Caption = col_name;
                col_name = c1FlexGrid1.Cols[c1FlexGrid1.Col].Caption;
            }
            col_index = c1FlexGrid1.Col;

            double sum_of_cells = 0;

            //Calculate the Sum of the Selection
            if (c1FlexGrid1.Cols[c1FlexGrid1.Col].DataType != System.Type.GetType("System.String"))
            {
                for (int i = c1FlexGrid1.Row; i <= c1FlexGrid1.RowSel; i++)
                    sum_of_cells = sum_of_cells + Convert.ToDouble(c1FlexGrid1[i, c1FlexGrid1.Col]);
            }
            else
                MessageBox.Show("String Column!!!!!!!");
            total = col_name + " - SUM : " + sum_of_cells;
        }

        private void c1FlexGrid1_AfterSelChange(object sender, C1.Win.C1FlexGrid.RangeEventArgs e)
        {
            //Display the Sum in column Header
            c1FlexGrid1.Cols[c1FlexGrid1.Col].Caption = total;
        }
    }
}
